[project]
name = "llm"
version = "0.1.0"
description = "Add your description here"
authors = [{ name = "Invoker-pray", email = "jiaohongbao04@gmail.com" }]
dependencies = [
    "transformers>=4.52.3",
    "tensorflow>=2.19.0",
    "torch>=2.7.0",
    "torchvision>=0.22.0",
    "torchaudio>=2.7.0",
    "pandas>=2.2.3",
    "sentencepiece>=0.2.0",
    "tokenizers>=0.21.1",
    "datasets>=3.6.0",
    "evaluate>=0.4.3",
    "scikit-optimize>=0.10.2",
    "optuna>=4.3.0",
    "tqdm>=4.67.1",
    "jupyter>=1.1.1",
    "accelerate>=1.7.0",
    "bitsandbytes>=0.46.0",
    "peft>=0.15.2",
    "trl>=0.18.1",
    "scipy>=1.15.3",
    "nodejs>=0.1.1",
    "gradio>=5.31.0",
    "transformers-stream-generator>=0.0.5",
    "einops>=0.8.1",
    "requests>=2.32.3",
    "huggingface-hub>=0.32.2",
    "pyopenssl>=25.1.0",
    "hf-xet>=1.1.2",
    "tf-keras>=2.19.0",
    "tiktoken>=0.9.0",
    "dataset>=1.6.2",
    "rouge-score>=0.1.2",
]
readme = "README.md"
requires-python = ">= 3.8"

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[tool.rye]
managed = true
dev-dependencies = []

[tool.hatch.metadata]
allow-direct-references = true

[tool.hatch.build.targets.wheel]
packages = ["src/llm"]
